site_name: Controls documentation
site_description: >-
  The "wiki" for Paul Scherrer Institute's - AEK Control Systems section

# Copyright
copyright: Copyright &copy;2025 Paul Scherrer Institute

theme:
  name: material
  # custom_dir: overrides
  palette:
    - media: "(prefers-color-scheme: light)"
      scheme: default
      primary: teal
      accent: teal
      toggle:
        icon: material/weather-night
        name: Switch to dark mode
    - media: "(prefers-color-scheme: dark)"
      scheme: slate
      primary: teal
      accent: teal
      toggle:
        icon: material/weather-sunny
        name: Switch to light mode
  highlightjs: true
  hljs_languages:
    - bash
    - perl
    - python
    - yaml
  features:
    - navigation.expand
    - navigation.indexes
    - navigation.instant
    - navigation.tabs
    - navigation.top
    - navigation.tracking
    - search.highlight
    - search.suggest
    - toc.integrate
    - content.action.edit
    - content.code.copy
  #logo: assets/psi.svg
  logo: assets/cas_02_sn.svg
  #logo: _static/videos/PSI_logo_A.mp4

markdown_extensions:
  - attr_list
  - pymdownx.highlight:
      anchor_linenums: true
      line_spans: __span
      pygments_lang_class: true
  - admonition
  - pymdownx.details
  - pymdownx.inlinehilite
  - pymdownx.snippets
  - pymdownx.superfences

  
plugins:
  - glightbox

draft_docs: |
  /Readme.md